﻿
using Syncfusion.Windows.Shared;
using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Interactivity;
using System.Windows.Media;

namespace DockingManagerMVVMCommand
{
    public class ViewModel : Behavior<UIElement>
    {
        protected override void OnAttached()
        {
            Window parent = Application.Current.MainWindow;
            AssociatedObject.PreviewKeyDown += (sender, e) =>
            {
                if (e.Key == Key.S && (Keyboard.IsKeyDown(Key.LeftCtrl) || Keyboard.IsKeyDown(Key.RightCtrl)))
                {
                    (AssociatedObject as DockingManager).SaveDockState();
                }
                if (e.Key == Key.L && (Keyboard.IsKeyDown(Key.LeftCtrl) || Keyboard.IsKeyDown(Key.RightCtrl)))
                {
                    (AssociatedObject as DockingManager).LoadDockState();
                }
            };

        }

    }
}
